Bug 1415828 - Backport: [RFE] [Neutron] [LBaaS v2] Add process monitor for haproxy
Summary: Backport: [RFE] [Neutron] [LBaaS v2] Add process monitor for haproxy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron-lbaas
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 10.0 (Newton)
Assignee: Nir Magnezi
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On: 1326224
Blocks: 1046780 1273812 1431152
TreeView+ depends on / blocked
 
Reported: 2017-01-23 20:25 UTC by Nir Magnezi
Modified: 2020-09-10 10:09 UTC (History)
16 users (show)

Fixed In Version: openstack-neutron-lbaas-9.1.0-3.el7ost
Doc Type: Enhancement
Doc Text:
This enhancement implements ProcessMonitor in the HaproxyNSDriver class (v2) to use the external_process module, which allows it to monitor and respawn the haproxy processes as needed. The LBaaS agent (v2) will load options related to external_process in order to take a configured action when the HAproxy process dies unexpectedly.
Clone Of: 1326224
: 1431152 (view as bug list)
Environment:
Last Closed: 2017-02-23 16:34:25 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1565801 0 None None None 2017-01-23 20:25:57 UTC
OpenStack gerrit 327966 0 None MERGED Implements ProcessMonitor in the haproxy driver 2020-03-20 20:49:54 UTC
OpenStack gerrit 344658 0 None MERGED Implements ProcessMonitor in the haproxy driver 2020-03-20 20:49:55 UTC
OpenStack gerrit 345263 0 None MERGED Adds a default reload callback to ProcessManager 2020-03-20 20:49:55 UTC
Red Hat Product Errata RHBA-2017:0314 0 normal SHIPPED_LIVE openstack-neutron bug fix advisory 2017-02-23 21:33:22 UTC

Comment 4 Nir Magnezi 2017-02-15 13:41:15 UTC
How to test:
============
1. Create a Loadbalancer
2. Create a Listener
3. Create Pool and memebers
4. Verify loadbalancing functionality.
5. Kill the haproxy process
6. Wait for ~30 sec and see if it respawns.
7. Redo step #4

Comment 6 errata-xmlrpc 2017-02-23 16:34:25 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0314.html


Note You need to log in before you can comment on or make changes to this bug.